## pymca 5.5.1+dfsg

=== debian/changelog ===
pymca (5.5.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * drop debian patch testInteractionSilxMpl_skip_OpenGL.patch.
    Use of OpenGL in testInteractionSilxMpl is fixed in 5.5.1.
  * drop Build-Depends: python[3]-pyqtgraph
    (the PyQtGraph backend was removed in 5.5.1)
  * debian patch fix_numpy_tests_0ed4a39.patch applies upstream commit
    0ed4a39 to enable tests to pass with numpy 1.16.2. Closes: #935454.

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Sep 2019 23:46:41 +0800

pymca (5.5.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.5.1+dfsg
  * set debhelper compatibility level 12
    - update doc-base file for docs now placed in
      /usr/share/doc/pymca
  * Build-Depends: dbus. Needed to run build-time tests in some chroots.

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Sep 2019 16:50:53 +0800

pymca (5.5.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian patch testInteractionSilxMpl_skip_OpenGL.patch skips
    testInteractionSilxMpl unless OpenGL is available
  * skip OpenGL tests on armhf (OpenGL is not available there)
    Closes: #939589.
  * Standards-Version: 4.4.0
  * mark pymca-data, pymca-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Sep 2019 02:19:10 +0800

pymca (5.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.5.0+dfsg
  * Bump Standars-Version to (4.3.0) (nothing to do)
  * Migrate the Salsa-CI files to the new framework.
  * d/control
    - unversionned dependency on python[3]-silx[-dbg] (cme)
    - Added xauth, xvfb for the tests.
  * d/patches
    - Added 0002-silx-is-an-optional-dependency.patch
  * Use debhelper-compat instead of debian/compat.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 19 Jul 2019 18:15:51 +0200

=== debian/control ===
Source: pymca
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: cython,
               cython-dbg,
               cython3,
               cython3-dbg,
               dbus,
               debhelper-compat (= 12),
               dh-python,
               libglu1-mesa-dev,
               libqhull-dev,
               python-all-dbg,
               python-all-dev,
               python-fisx (>= 1.1.6) <!nocheck>,
               python-fisx-dbg (>= 1.1.6) <!nocheck>,
               python-h5py <!nocheck> <!nodoc>,
               python-h5py-dbg <!nocheck> <!nodoc>,
               python-ipython,
               python-matplotlib <!nodoc>,
               python-matplotlib-dbg <!nodoc>,
               python-numpy,
               python-numpy-dbg,
               python-opengl,
               python-pyqt5 <!nodoc>,
               python-pyqt5-dbg <!nodoc>,
               python-pyqt5.qtopengl <!nodoc>,
               python-pyqt5.qtopengl-dbg <!nodoc>,
               python-qtconsole,
               python-setuptools,
               python-silx,
               python-sphinx,
               python3-all-dbg,
               python3-all-dev,
               python3-fisx (>= 1.1.6) <!nocheck>,
               python3-fisx-dbg (>= 1.1.6) <!nocheck>,
               python3-h5py <!nocheck> <!nodoc>,
               python3-h5py-dbg <!nocheck> <!nodoc>,
               python3-ipython,
               python3-matplotlib <!nodoc>,
               python3-matplotlib-dbg <!nodoc>,
               python3-numpy,
               python3-numpy-dbg,
               python3-opengl,
               python3-pyqt5 <!nodoc>,
               python3-pyqt5-dbg <!nodoc>,
               python3-pyqt5.qtopengl <!nodoc>,
               python3-pyqt5.qtopengl-dbg <!nodoc>,
               python3-qtconsole,
               python3-setuptools,
               python3-silx,
               python3-sphinx,
	       xauth,
	       xvfb,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/science-team/pymca
Vcs-Git: https://salsa.debian.org/science-team/pymca.git
Homepage: https://github.com/vasole/pymca

Package: pymca
Architecture: all
Depends: python3-pymca5 (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Applications and toolkit for X-ray fluorescence analysis -- scripts
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, HDF5, AIFIRA and SupaVisio formats.
 .
 This are the scripts of the package.

Package: python-pymca5
Architecture: any
Section: python
Depends: pymca-data (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-h5py, python-mdp
Description: Applications and toolkit for X-ray fluorescence analysis -- Python 2
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, HDF5, AIFIRA and SupaVisio formats.
 .
 This is the Python 2 version of the package.

Package: python-pymca5-dbg
Architecture: any
Section: debug
Depends: python-fisx-dbg (>= 1.1.6-1~),
         python-h5py-dbg,
         python-matplotlib-dbg,
         python-numpy-dbg,
         python-opengl,
         python-pymca5 (= ${binary:Version}),
         python-pyqt5-dbg,
         python-pyqt5.qtopengl-dbg,
         python-silx-dbg,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-dbg, python-mdp
Description: Applications and toolkit for X-ray fluorescence analysis -- Python 2 debug
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, HDF5, AIFIRA and SupaVisio formats.
 .
 This is the Python 2 debug version of the package.

Package: python3-pymca5
Architecture: any
Section: python
Depends: pymca-data (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-h5py, python3-mdp
Description: Applications and toolkit for X-ray fluorescence analysis -- Python 3
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, HDF5, AIFIRA and SupaVisio formats.
 .
 This is the Python 3 version of the package.

Package: python3-pymca5-dbg
Architecture: any
Section: debug
Depends: python3-fisx-dbg (>= 1.1.6-1~),
         python3-h5py-dbg,
         python3-matplotlib-dbg,
         python3-numpy-dbg,
         python3-pymca5 (= ${binary:Version}),
         python3-pyqt5-dbg,
         python3-pyqt5.qtopengl-dbg,
         python3-silx-dbg,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-dbg, python3-mdp
Description: Applications and toolkit for X-ray fluorescence analysis -- Python 3 debug
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, HDF5, AIFIRA and SupaVisio formats.
 .
 This is the Python 3 debug version of the package.

Package: pymca-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Architecture independent data files for PyMca
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 This package contains the architecture independent data files for PyMca.

Package: pymca-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: pymca (<< 5.1.2+dfsg)
Replaces: pymca (<< 5.1.2+dfsg)
Description: Documentation files for PyMca
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 This package contains the documentation files for PyMca.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export HOME=/tmp
export SPECFILE_USE_GNU_SOURCE=1
export WITH_CYTHON=1
export WITH_GUI=1
export QHULL_CFLAGS=-I/usr/include/qhull
export QHULL_LIBS=-lqhull
export PYMCA_DATA_DIR=/usr/share/pymca
export PYMCA_DOC_DIR=$(PYMCA_DATA_DIR)/doc

export PYMCA_DATA_DIR_TEST=$(CURDIR)/PyMca5/PyMcaData/
export PYMCA_DOC_DIR_TEST=$(PYMCA_DATA_DIR_TEST)

export PYBUILD_NAME=pymca5
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/ {destdir}/usr/share/man {destdir}$(PYMCA_DATA_DIR)

# get the default python3 interpreter version
PY3VER := $(shell py3versions -dv)

# Make does not offer a recursive wildcard function, so here's one:
rwildcard=$(wildcard $1$2) $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2))

# How to recursively find all files with the same name in a given folder
ALL_PYX := $(call rwildcard,PyMca5/,*.pyx)
#NOTA: No space before *

# skip OpenGL tests on these architectures
#  - OpenGL is not available on armhf
ARCH_SKIP_OPENGL_TEST_LIST = armhf

empty :=
space := $(empty)$(empty)

ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_SKIP_OPENGL_TEST_LIST)$(space)))
export WITH_OPENGL_TEST=False
endif

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	# remove the cython generated file to force rebuild
	rm -f $(patsubst %.pyx,%.cpp,${ALL_PYX})
	rm -f $(patsubst %.pyx,%.c,${ALL_PYX})
	rm -f $(patsubst %.pyx,%.html,${ALL_PYX})
	rm -rf *.egg-info
	# remove the built documentation
	rm -rf doc/build

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

override_dh_install:
	dh_install -O--buildsystem=pybuild

	# pymca
	python3 setup.py install_scripts -d debian/pymca/usr/bin
	python3 setup.py install_man -d debian/pymca/usr/share/man

	dh_install -p pymca package/desktop/*.desktop usr/share/applications
	dh_install -p pymca package/desktop/PyMca.png usr/share/icons/hicolor/256x256/apps
	dh_install -p pymca package/desktop/pymca.xml usr/share/mime/packages

	# pymca-data
	python3 setup.py install_data --root debian/pymca-data/
	rm -f debian/pymca-data/usr/share/pymca/EPDL97/LICENSE
	rm -f debian/pymca-data/usr/share/pymca/LICENSE
	rm -f debian/pymca-data/usr/share/pymca/LICENSE.GPL
	rm -f debian/pymca-data/usr/share/pymca/LICENSE.LGPL
	rm -f debian/pymca-data/usr/share/pymca/LICENSE.MIT
	rm -rf debian/pymca-data/usr/share/pymca/doc/HTML/PyMCA_files/

	dh_numpy
	dh_numpy3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pybuild --test -s custom -p $(PY3VER) --test-args="cd {build_dir} && PYMCA_DATA_DIR=$(PYMCA_DATA_DIR_TEST) PYMCA_DOC_DIR=$(PYMCA_DOC_DIR_TEST) xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} PyMca5/tests/TestAll.py"
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	pybuild --build -s custom -p $(PY3VER) --build-args="cd doc && PYTHONPATH={build_dir} PYMCA_DATA_DIR=$(PYMCA_DATA_DIR_TEST) PYMCA_DOC_DIR=$(PYMCA_DOC_DIR_TEST) http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html"
	dh_installdocs "doc/build/html" -p pymca-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## pymca 5.5.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,35 +3,14 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
-Build-Depends: cython,
-               cython-dbg,
-               cython3,
+Rules-Requires-Root: no
+Build-Depends: cython3,
                cython3-dbg,
                dbus,
                debhelper-compat (= 12),
                dh-python,
                libglu1-mesa-dev,
                libqhull-dev,
-               python-all-dbg,
-               python-all-dev,
-               python-fisx (>= 1.1.6) <!nocheck>,
-               python-fisx-dbg (>= 1.1.6) <!nocheck>,
-               python-h5py <!nocheck> <!nodoc>,
-               python-h5py-dbg <!nocheck> <!nodoc>,
-               python-ipython,
-               python-matplotlib <!nodoc>,
-               python-matplotlib-dbg <!nodoc>,
-               python-numpy,
-               python-numpy-dbg,
-               python-opengl,
-               python-pyqt5 <!nodoc>,
-               python-pyqt5-dbg <!nodoc>,
-               python-pyqt5.qtopengl <!nodoc>,
-               python-pyqt5.qtopengl-dbg <!nodoc>,
-               python-qtconsole,
-               python-setuptools,
-               python-silx,
-               python-sphinx,
                python3-all-dbg,
                python3-all-dev,
                python3-fisx (>= 1.1.6) <!nocheck>,
@@ -50,10 +29,9 @@
                python3-pyqt5.qtopengl-dbg <!nodoc>,
                python3-qtconsole,
                python3-setuptools,
-               python3-silx,
                python3-sphinx,
-	       xauth,
-	       xvfb,
+               xauth,
+               xvfb
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/pymca
 Vcs-Git: https://salsa.debian.org/science-team/pymca.git
@@ -85,70 +63,6 @@
  .
  This are the scripts of the package.
 
-Package: python-pymca5
-Architecture: any
-Section: python
-Depends: pymca-data (= ${source:Version}),
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Recommends: python-h5py, python-mdp
-Description: Applications and toolkit for X-ray fluorescence analysis -- Python 2
- PyMca is set of applications and Python libraries for analysis of
- X-ray fluorescence spectra.
- .
- The applications included in this package are:
- .
-  * edfviewer - Display and inspection of data files in ESRF Data Format
-  * elementsinfo - Displays element specific X-ray data
-  * mca2edf - Converts files from SPEC MCA format to EDF
-  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
-  * pymcabatch - Batch fitting of spectra
-  * pymcapostbatch - Post-processing of batch fitting results
-  * pymca - Interactive data-analysis
-  * pymcaroitool - Region-of-interest (ROI) imaging tool
- .
- The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
- OMNIC, HDF5, AIFIRA and SupaVisio formats.
- .
- This is the Python 2 version of the package.
-
-Package: python-pymca5-dbg
-Architecture: any
-Section: debug
-Depends: python-fisx-dbg (>= 1.1.6-1~),
-         python-h5py-dbg,
-         python-matplotlib-dbg,
-         python-numpy-dbg,
-         python-opengl,
-         python-pymca5 (= ${binary:Version}),
-         python-pyqt5-dbg,
-         python-pyqt5.qtopengl-dbg,
-         python-silx-dbg,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Recommends: python-dbg, python-mdp
-Description: Applications and toolkit for X-ray fluorescence analysis -- Python 2 debug
- PyMca is set of applications and Python libraries for analysis of
- X-ray fluorescence spectra.
- .
- The applications included in this package are:
- .
-  * edfviewer - Display and inspection of data files in ESRF Data Format
-  * elementsinfo - Displays element specific X-ray data
-  * mca2edf - Converts files from SPEC MCA format to EDF
-  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
-  * pymcabatch - Batch fitting of spectra
-  * pymcapostbatch - Post-processing of batch fitting results
-  * pymca - Interactive data-analysis
-  * pymcaroitool - Region-of-interest (ROI) imaging tool
- .
- The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
- OMNIC, HDF5, AIFIRA and SupaVisio formats.
- .
- This is the Python 2 debug version of the package.
-
 Package: python3-pymca5
 Architecture: any
 Section: python
@@ -156,7 +70,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-h5py, python3-mdp
+Recommends: python3-mdp, python3-silx
 Description: Applications and toolkit for X-ray fluorescence analysis -- Python 3
  PyMca is set of applications and Python libraries for analysis of
  X-ray fluorescence spectra.
@@ -187,11 +101,10 @@
          python3-pymca5 (= ${binary:Version}),
          python3-pyqt5-dbg,
          python3-pyqt5.qtopengl-dbg,
-         python3-silx-dbg,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-dbg, python3-mdp
+Recommends: python3-dbg, python3-mdp, python3-silx-dbg
 Description: Applications and toolkit for X-ray fluorescence analysis -- Python 3 debug
  PyMca is set of applications and Python libraries for analysis of
  X-ray fluorescence spectra.

## pymca 5.5.4+dfsg

=== requirements.txt ===
# List all dependencies of PyMca for GUI functionality and not just
# command line XRF analysis
# Requires pip >= 8.0

--trusted-host www.silx.org
--find-links http://www.silx.org/pub/wheelhouse/
--only-binary numpy,h5py,PyQt4,PyQt5,PySide

numpy >= 1.8
fisx >= 1.1.5
PyOpenGL                  # For PyMca5.Object3D module 
h5py                      # For HDF5 file format support
matplotlib > 1.0          # For visualization
qtconsole                 # For interactive console plugin

# PyQt4, PyQt5 or PySide  # For PyMca5.PyMcaGui
# Try to install a Qt binding from a wheel
# This is no available for all configurations

# Require PyQt when wheel is available
PyQt5; python_version >= '3.5'
PyQt4; sys_platform == 'win32' and python_version == '2.7'  # From silx.org
PyQt4; sys_platform == 'darwin' and python_version == '2.7'  # From silx.org

=== debian/changelog ===
pymca (5.5.4+dfsg-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:22:37 +0100

pymca (5.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version 5.5.4+dfsg

 -- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>  Thu, 30 Jan 2020 11:37:55 +0200

pymca (5.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version 5.5.3+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 24 Oct 2019 22:08:12 +0200

pymca (5.5.2+dfsg-3) unstable; urgency=medium

  * Remove also the Python2 autopkgtests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 10 Oct 2019 12:58:15 +0200

pymca (5.5.2+dfsg-2) unstable; urgency=medium

  * Removed Python2 module (Closes: #937478)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 10 Oct 2019 11:38:26 +0200

pymca (5.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version 5.5.2+dfsg
  * d/control:
    - Move silx to Recommends (Closes: #941002)
    - Added Rules-Requires-Root: no
  * d/patches:
    - Removed fix_numpy_tests_0ed4a39.patch (applyed upstream)
    - Removed 0002-silx-is-an-optional-dependency.patch (requested by upstream)
    - Added 0002-fix-syntax-error.patch
  * d/rules:
    - Activated hardening

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 06 Oct 2019 11:23:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 export HOME=/tmp
 export SPECFILE_USE_GNU_SOURCE=1
 export WITH_CYTHON=1
@@ -38,7 +40,7 @@
 endif
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
@@ -73,7 +75,6 @@
 	rm -f debian/pymca-data/usr/share/pymca/LICENSE.MIT
 	rm -rf debian/pymca-data/usr/share/pymca/doc/HTML/PyMCA_files/
 
-	dh_numpy
 	dh_numpy3
 
 override_dh_auto_test:

## pymca 5.5.5+dfsg

=== debian/changelog ===
pymca (5.5.5+dfsg-2build2) groovy; urgency=medium

  * No-change rebuild against libqhull7deb1

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jun 2020 10:29:34 +0000

pymca (5.5.5+dfsg-2build1) groovy; urgency=medium

  * No-change rebuild against libqhull7deb1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 08 May 2020 08:38:17 +0000

pymca (5.5.5+dfsg-2) unstable; urgency=medium

  * prepare for the qhull transition (Closes: #956432)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 25 Apr 2020 17:24:32 +0200

pymca (5.5.5+dfsg-1) unstable; urgency=medium

  * New upstream version 5.5.5+dfsg
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Apr 2020 18:09:17 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                python3-sphinx,
                xauth,
                xvfb
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/pymca
 Vcs-Git: https://salsa.debian.org/science-team/pymca.git
 Homepage: https://github.com/vasole/pymca

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export SPECFILE_USE_GNU_SOURCE=1
 export WITH_CYTHON=1
 export WITH_GUI=1
-export QHULL_CFLAGS=-I/usr/include/qhull
+export QHULL_CFLAGS=-I/usr/include/libqhull
 export QHULL_LIBS=-lqhull
 export PYMCA_DATA_DIR=/usr/share/pymca
 export PYMCA_DOC_DIR=$(PYMCA_DATA_DIR)/doc

## pymca 5.6.3+dfsg

=== debian/changelog ===
pymca (5.6.3+dfsg-1) unstable; urgency=medium

  * New upstream version 5.6.3+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Jan 2021 15:15:17 +0100

pymca (5.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.6.0+dfsg
  * d/control: Bumped Standards-Version to 4.5.0 (nothing to do)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 08 Oct 2020 15:05:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
-Rules-Requires-Root: no
 Build-Depends: cython3,
                cython3-dbg,
                dbus,
@@ -32,10 +31,11 @@
                python3-sphinx,
                xauth,
                xvfb
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/pymca
 Vcs-Git: https://salsa.debian.org/science-team/pymca.git
 Homepage: https://github.com/vasole/pymca
+Rules-Requires-Root: no
 
 Package: pymca
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,8 @@
 	rm -rf *.egg-info
 	# remove the built documentation
 	rm -rf doc/build
+	# remove a.out generated by configuration
+	rm -rf a.out
 
 override_dh_installchangelogs:
 	dh_installchangelogs changelog.txt

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py -m PyMca5.tests.TestAll 2>&1
 ; done
Depends: python3-all, python3-pymca5, xauth, xvfb

Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py-dbg:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py-dbg -m PyMca5.tests.TestAll 2>&1
 ; done
Depends: python3-all-dbg, python3-pymca5-dbg, xauth, xvfb

## pymca 5.7.1%2Bdfsg

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py -m PyMca5.tests.TestAll 2>&1
 ; done
Depends:
 python3-all,
 python3-pymca5,
 xauth,
 xvfb,

## pymca 5.7.1+dfsg

=== requirements.txt ===
# List all dependencies of PyMca for GUI functionality and not just
# command line XRF analysis
# Requires pip >= 8.0

--trusted-host www.silx.org
--find-links http://www.silx.org/pub/wheelhouse/
--only-binary numpy,h5py,PyQt5,PySide2

numpy >= 1.8
fisx >= 1.1.5
PyOpenGL                  # For PyMca5.Object3D module 
h5py                      # For HDF5 file format support
matplotlib > 1.0          # For visualization
qtconsole                 # For interactive console plugin

# PyQt5 or PySide2 or PySide6  # For PyMca5.PyMcaGui
# Try to install a Qt binding from a wheel
# This is no available for all configurations

# Require PyQt when wheel is available
PyQt5; python_version >= '3.5'
PySide2; sys_platform == 'darwin' and python_version == '2.7'

=== debian/changelog ===
pymca (5.7.1+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:25:43 +0000

pymca (5.7.1+dfsg-1) unstable; urgency=medium

  * New upstream version 5.7.1+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 18 Jan 2022 17:07:47 +0100

pymca (5.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.7.0+dfsg
  * d/p/*: refreshed the patch series
  * d/control: Removed B-D libglu1-mesa-dev and libqhull-dev
  * d/copyright:
    * No more third-party
    * Updated for the new version
    * Remove unused license definitions for LGPL-2+.
  * Update standards version to 4.6.0, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 18 Jan 2022 11:30:06 +0100

pymca (5.6.7+dfsg-2) unstable; urgency=medium

  * d/p/0003-fix-for-python3.10.patch: Added to fix autopkgtest.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 23 Dec 2021 11:51:51 +0100

pymca (5.6.7+dfsg-1) unstable; urgency=medium

  [ Neil Williams ]
  * Update control to add Debian PaN maintainers

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 5.6.7+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 22 Dec 2021 16:00:44 +0100

pymca (5.6.5+dfsg-2) unstable; urgency=medium

  * Bug fix: "Removal of the python3-*-dbg packages in sid/bookworm",
    thanks to Matthias Klose (Closes: #994333).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Sep 2021 10:55:12 +0200

pymca (5.6.5+dfsg-1) unstable; urgency=medium

  * New upstream version 5.6.5+dfsg
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Apply multi-arch hints.
    + python3-pymca5-dbg: Add Multi-Arch: same.
  * d/p/0002-switch-to-qhull_r.patch: Added
  * Bug fix: "depends on deprecated qhull library", thanks to Timo Röhling
    (Closes: #990396).
  * d/control: Used dh-sequence-[numpy3,python3,sphinxdoc]
  * d/rules:
    + Simplifier thanks to dh-sequence-X
    + Used execute_[after|before]

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 05 Sep 2021 12:14:22 +0200

=== debian/control ===
Source: pymca
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Section: science
Priority: optional
Build-Depends:
 cython3,
 dbus,
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 locales-all <!nocheck>,
 python3-all-dev,
 python3-fisx (>= 1.1.6) <!nocheck>,
 python3-h5py <!nocheck> <!nodoc>,
 python3-ipython,
 python3-matplotlib <!nodoc>,
 python3-numpy,
 python3-opengl,
 python3-pyqt5 <!nodoc>,
 python3-pyqt5.qtopengl <!nodoc>,
 python3-qtconsole,
 python3-setuptools,
 python3-sphinx,
 xauth,
 xvfb,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/pymca
Vcs-Git: https://salsa.debian.org/science-team/pymca.git
Homepage: https://github.com/vasole/pymca
Rules-Requires-Root: no

Package: pymca
Architecture: all
Depends:
 python3-pymca5 (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Applications and toolkit for X-ray fluorescence analysis -- scripts
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, HDF5, AIFIRA and SupaVisio formats.
 .
 This are the scripts of the package.

Package: python3-pymca5
Architecture: any
Section: python
Depends:
 pymca-data (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-mdp,
 python3-silx,
Description: Applications and toolkit for X-ray fluorescence analysis -- Python 3
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 The applications included in this package are:
 .
  * edfviewer - Display and inspection of data files in ESRF Data Format
  * elementsinfo - Displays element specific X-ray data
  * mca2edf - Converts files from SPEC MCA format to EDF
  * peakidentifier - Displays X-ray fluorescence peaks in a given energy range
  * pymcabatch - Batch fitting of spectra
  * pymcapostbatch - Post-processing of batch fitting results
  * pymca - Interactive data-analysis
  * pymcaroitool - Region-of-interest (ROI) imaging tool
 .
 The PyMca toolkit can read data files in SPEC, ESRF data file (EDF),
 OMNIC, HDF5, AIFIRA and SupaVisio formats.
 .
 This is the Python 3 version of the package.

Package: pymca-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Architecture independent data files for PyMca
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 This package contains the architecture independent data files for PyMca.

Package: pymca-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 pymca (<< 5.1.2+dfsg),
Replaces:
 pymca (<< 5.1.2+dfsg),
Description: Documentation files for PyMca
 PyMca is set of applications and Python libraries for analysis of
 X-ray fluorescence spectra.
 .
 This package contains the documentation files for PyMca.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 export SPECFILE_USE_GNU_SOURCE=1
 export WITH_CYTHON=1
 export WITH_GUI=1
-export QHULL_CFLAGS=-I/usr/include/libqhull
-export QHULL_LIBS=-lqhull
+export QHULL_CFLAGS=-I/usr/include/libqhull_r
+export QHULL_LIBS=-lqhull_r
 export PYMCA_DATA_DIR=/usr/share/pymca
 export PYMCA_DOC_DIR=$(PYMCA_DATA_DIR)/doc
 
@@ -40,10 +40,9 @@
 endif
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	# remove the cython generated file to force rebuild
 	rm -f $(patsubst %.pyx,%.cpp,${ALL_PYX})
 	rm -f $(patsubst %.pyx,%.c,${ALL_PYX})
@@ -54,12 +53,15 @@
 	# remove a.out generated by configuration
 	rm -rf a.out
 
+execute_after_dh_auto_build:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	pybuild --build -s custom -p $(PY3VER) --build-args="cd doc && PYTHONPATH={build_dir} PYMCA_DATA_DIR=$(PYMCA_DATA_DIR_TEST) PYMCA_DOC_DIR=$(PYMCA_DOC_DIR_TEST) http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html"
+endif
+
 override_dh_installchangelogs:
 	dh_installchangelogs changelog.txt
 
-override_dh_install:
-	dh_install -O--buildsystem=pybuild
-
+execute_after_dh_install:
 	# pymca
 	python3 setup.py install_scripts -d debian/pymca/usr/bin
 	python3 setup.py install_man -d debian/pymca/usr/share/man
@@ -77,16 +79,12 @@
 	rm -f debian/pymca-data/usr/share/pymca/LICENSE.MIT
 	rm -rf debian/pymca-data/usr/share/pymca/doc/HTML/PyMCA_files/
 
-	dh_numpy3
+execute_after_dh_installdocs:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	dh_installdocs -p pymca-doc "doc/build/html"
+endif
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pybuild --test -s custom -p $(PY3VER) --test-args="cd {build_dir} && PYMCA_DATA_DIR=$(PYMCA_DATA_DIR_TEST) PYMCA_DOC_DIR=$(PYMCA_DOC_DIR_TEST) xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} PyMca5/tests/TestAll.py"
 endif
-
-override_dh_sphinxdoc:
-ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	pybuild --build -s custom -p $(PY3VER) --build-args="cd doc && PYTHONPATH={build_dir} PYMCA_DATA_DIR=$(PYMCA_DATA_DIR_TEST) PYMCA_DOC_DIR=$(PYMCA_DOC_DIR_TEST) http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html"
-	dh_installdocs "doc/build/html" -p pymca-doc
-	dh_sphinxdoc -O--buildsystem=pybuild
-endif

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,\
dversionmangle=s/.dfsg//, \
https://pypi.python.org/packages/source/p/PyMca5/ \
 PyMca5@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## pymca 5.7.2+dfsg

=== debian/changelog ===
pymca (5.7.2+dfsg-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * Revert unnecessary change in autopkgtest test
  * Depend on locales-all for autopkgtest; PyMca5/tests/SpecfileTest.py
    attempts to switch between locales

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 5.7.2+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Jun 2022 10:15:01 +0200

pymca (5.7.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Relax equality tests in test suite to avoid spurious floating point
    comparison failures (closes: #1010258)
  * Specify LC_ALL and HOME in autopkgtest test

 -- Julian Gilbey <jdg@debian.org>  Wed, 27 Apr 2022 22:04:48 +0100

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -s)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py -m PyMca5.tests.TestAll 2>&1
 ; done
Depends:
 locales-all,
 python3-all,
 python3-pymca5,
 xauth,
 xvfb,

## pymca 5.8.0+dfsg

=== debian/changelog ===
pymca (5.8.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Add upstream patch to fix test failure with Numpy 1.24.
    (closes: #1027240, #1029242)

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Jan 2023 21:52:14 +0400

pymca (5.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.8.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 06 Dec 2022 15:46:56 +0100

=== debian/control ===
--- 
+++ 
@@ -66,6 +66,7 @@
 Section: python
 Depends:
  pymca-data (= ${source:Version}),
+ python3-h5py,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -s)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24 -c +extension GLX +render -noreset" $py -m PyMca5.tests.TestAll 2>&1
 ; done
Depends:
 locales-all,
 python3-all,
 python3-pymca5,
 xauth,
 xvfb,

## pymca 5.8.7+dfsg

=== debian/changelog ===
pymca (5.8.7+dfsg-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 03 Sep 2023 13:43:46 +0200

pymca (5.8.7+dfsg-2) unstable; urgency=medium

  * d/rules: Forced python3 shebang
  * d/t/control: set a writable HOME

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 20 Jul 2023 12:35:42 +0200

pymca (5.8.7+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.
  * d/control: Added B-D pybuild-plugin-pyproject
  * d/p/numpy-1.24: Removed upstream patches part of this upstream version.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 25 Jun 2023 10:00:58 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  locales-all <!nocheck>,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-fisx (>= 1.1.6) <!nocheck>,
  python3-h5py <!nocheck> <!nodoc>,
@@ -28,7 +29,7 @@
  python3-sphinx,
  xauth,
  xvfb,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/pymca
 Vcs-Git: https://salsa.debian.org/science-team/pymca.git
 Homepage: https://github.com/vasole/pymca

=== debian/rules ===
--- 
+++ 
@@ -88,3 +88,6 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pybuild --test -s custom -p $(PY3VER) --test-args="cd {build_dir} && PYMCA_DATA_DIR=$(PYMCA_DATA_DIR_TEST) PYMCA_DOC_DIR=$(PYMCA_DOC_DIR_TEST) xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} PyMca5/tests/TestAll.py"
 endif
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Test-Command: set -efu
+ ; export HOME=$AUTOPKGTEST_TMP
  ; for py in $(py3versions -s)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"

## pymca 5.9.2+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 --only-binary numpy,h5py,PyQt5,PySide2
 
 numpy >= 1.8
-fisx >= 1.1.5
+fisx >= 1.1.6
 PyOpenGL                  # For PyMca5.Object3D module 
 h5py                      # For HDF5 file format support
 matplotlib > 1.0          # For visualization

=== debian/changelog ===
pymca (5.9.2+dfsg-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:17:07 +1100

pymca (5.9.2+dfsg-2) unstable; urgency=medium

  * d/p/0002-Replace-assert_array_equal-by-assert_allclose-in-tes.patch:
    Useless now.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 05 Mar 2024 15:00:30 +0100

pymca (5.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version 5.9.2+dfsg
  * use LIBGL_ALWAYS_INDIRECT=1 in order to avoid issue with OpenGL during
    the tests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 04 Mar 2024 16:12:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pymca
-Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
 Uploaders:
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export HOME=/tmp
+export LIBGL_ALWAYS_INDIRECT=1
 export SPECFILE_USE_GNU_SOURCE=1
 export WITH_CYTHON=1
 export WITH_GUI=1

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Test-Command: set -efu
  ; export HOME=$AUTOPKGTEST_TMP
+ ; export LIBGL_ALWAYS_INDIRECT=1
  ; for py in $(py3versions -s)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"

## pymca 5.9.3+dfsg

=== debian/changelog ===
pymca (5.9.3+dfsg-2) unstable; urgency=medium

  * Team upload
  * Add dependency on python3-pyqt5.qtsvg to python3-pymca5, as
    python3-qtconsole requires this (closes: #1093477)

 -- Julian Gilbey <jdg@debian.org>  Mon, 03 Feb 2025 06:45:39 +0000

pymca (5.9.3+dfsg-1) unstable; urgency=medium

  * d/watch: support PyMca -> [Pp]y[Mm]ca in order to deal with new name
  * New upstream version 5.9.3+dfsg
  * d/t/gui: updated to be more resilient and easyer to read.
  * d/rules: Install also the appstream meta info files

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 05 Aug 2024 16:07:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pymca
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
 Uploaders:
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
@@ -25,6 +24,7 @@
  python3-opengl,
  python3-pyqt5 <!nodoc>,
  python3-pyqt5.qtopengl <!nodoc>,
+ python3-pyqt5.qtsvg <!nodoc>,
  python3-qtconsole,
  python3-setuptools,
  python3-sphinx,
@@ -69,6 +69,7 @@
 Depends:
  pymca-data (= ${source:Version}),
  python3-h5py,
+ python3-pyqt5.qtsvg,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
